org.apache.velocity.tools.generic

## Class LoopTool.Equals

- java.lang.Object
- - org.apache.velocity.tools.generic.LoopTool.Comparison
  - - org.apache.velocity.tools.generic.LoopTool.Equals

All Implemented Interfaces:
  LoopTool.Condition

Enclosing class:
  LoopTool

    public static class LoopTool.Equals
    extends LoopTool.Comparison

Simple condition that checks elements in the iterator for equality to a specified Object.

### Field Summary

### Fields inherited from class org.apache.velocity.tools.generic.LoopTool.Comparison

`compare`

### Constructor Summary

Constructors
Constructor and Description
`Equals(Object compare)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Equals

    public Equals(Object compare)

### Method Detail

#### test

    public boolean test(Object value)